app.controllers.JourneyController = Ext.extend(Ext.Controller, {
	constructor: function(config) {
		app.controllers.JourneyController.superclass.constructor.call(this, config);
	},
	
	
	
	index: function (options)
	{
		app.views.viewport.setActiveItem (this.viewFn (), options.animation);
	},
	
	
	
	// Load "stops" of selected "journey" and show them.
	show: function (options)
	{
		if (options.journey)
		{
			app.stores.journeyStops.load ({journey: options.journey});
			app.views.viewport.setActiveItem (app.views.journeyStopsList, options.animation);
		}
	}
});



app.controllers.arrivals = new app.controllers.JourneyController({
	viewFn: function () { return app.views.arrivalsList; }
});

app.controllers.departures = new app.controllers.JourneyController({
	viewFn: function () { return app.views.departuresList; }
});