app.models.Bundle = Ext.regModel (
	"app.models.Bundle",
	{
		fields: [
			{ name: "key", type: "string" },
			{ name: "value", type: "string" }
		],



		format: function ()
		{
			var args = Array.prototype.slice.call (arguments);
			return app.models.Bundle.format.apply (null, [ this.get ('value') ].concat (args));
		}
	}
);



// format ("{0} is dead, but {1} is alive! {0} {2}", "ASP", "ASP.NET")
// ouptuts: ASP is dead, but ASP.NET is alive! ASP {2}
app.models.Bundle.format = function()
{
	var args = arguments;
	return args [0].replace (
		/{(\d+)}/g,
		function(match, number)
		{
			var n = parseInt(number);
			return typeof args[n + 1] != 'undefined' ?
				args [n + 1] :
				match;
		}
	);
}
