timeStringToDate_ = function (value)
{
	var re = /(\d{1,2})-(\d{1,2})-(\d{4})/;
	var match = re.exec (value);
	if (! match)
	{
		return new Date ();
	}
	return new Date (Date.UTC (match[3], match[2] - 1, match[1]));
}



app.models.Info = Ext.regModel (
	"app.models.Info",
	{
		fields: [
			{ name: "id", type: "string" },
			{ name: "name", type: "string" },
			{ name: "timeStart", type: "date", convert: timeStringToDate_ },
			{ name: "timeEnd", type: "date", convert: timeStringToDate_ },
			{ name: "level", type: "string" }
		]
	}
);
