app.views.DefaultHeader = Ext.extend (Ext.Toolbar, {
	dock: 'top',
	id: 'app-views-DefaultHeader',
	items : [
			{
				xtype : 'container',
				html : '<img src="resources/images/header_sx.jpg">',
				listeners:
				{
					el:
					{
						tap: function ()
						{
							app.views.DefaultHeader.goHome();
						}
					}
				}
			},
			{
				xtype : 'spacer'
			},
			{
				xtype : 'container',
				html : '<img src="resources/images/header_dx.jpg">',
				listeners:
				{
					el:
					{
						tap: function ()
						{
							app.views.viewport.showCredits ();
						}
					}
				}
			}
	],

	initComponent: function()
	{
		app.views.DefaultHeader.superclass.initComponent.apply (this, arguments);
	}
});



app.views.DefaultHeader.showCredits = function ()
{
	app.views.viewport.showCredits ();
};



app.views.DefaultHeader.goHome = function ()
{
	app.views.viewport.showHomePage ();
};
