app.views.InfoList = Ext.extend(Ext.Panel, {
	iconCls: 'warning_black',
	title: 'Info',

	layout: 'fit',
	
	ui: 'infoList',
	
	
	
	items: [{
		id: 'app.views.InfoList.list',
		xtype: 'list',
		store: app.stores.infos,
		disableSelection: true,
		itemCls: '{[xindex % 2 === 0 ? "list-item-even" : "list-item-odd"]}',
		itemTpl: '<span class="info-name">{name}</span>',
		
//		listeners:
//		{
//			Moved to app.infosLoaded_(): event is not fired when empty data are received.
//			update: function (list)
//			{
//				app.views.infoList.dataLoaded_(this.getStore ().data, null, true);
//			}
//		}
	}],

	
	
	initComponent: function ()
	{
		//app.stores.moviCentroSet.load ();
		app.views.InfoList.superclass.initComponent.apply (this, arguments);
		
		this.title = app.stores.bundle.format ('infoTitle');
		Ext.defer (
			this.dataLoaded_,
			100,
			this,
			[Ext.getCmp ('app.views.InfoList.list').getStore ().data, null, true]
		);
	},
	
	
	
	dataLoaded_: function(records, operation, success)
	{
		// Attention: count of *paged* records.
		var n = records.length;
		this.tab.setDisabled (n <= 0);
		this.tab.setBadge (n > 0 ? n : '');
	}
});
