app.views.MoviCentroList = Ext.extend(Ext.Panel, {
	iconCls: 'home2',
	title: 'MOVIcentro',

	layout: 'fit',
	
	items: [{
		xtype: 'list',
		store: app.stores.moviCentroSet,
		singleSelect: true,
		allowDeselect: false,
		itemTpl: '{name}',
		
		listeners:
		{
			// When data are loaded, mark the "active MOVIcentro" as selected.
			refresh: function ()
			{
				if (app.selectedMoviCentro != null)
				{
					this.getSelectionModel ().select (app.selectedMoviCentro, false, true);
				}
			},
			
			
			
			selectionchange: function (selectionModel, records)
			{
				if (records.length > 0)
				{
					app.controllers.moviCentro.selectMoviCentro (records [0]);
				}
			}
		}
	}],

	
	
	initComponent: function ()
	{
		//app.stores.moviCentroSet.load ();
		app.views.MoviCentroList.superclass.initComponent.apply (this, arguments);
		
		this.title = app.stores.bundle.format ('movicentroTitle');
	}
});
